Function filters

## Namespaces

| roboptim::detail

## Classes

struct | roboptim::detail::ltvector
class | roboptim::CachedFunction< T >
| Store previous function computation. More...
class | roboptim::Split< T >

## Functions

template<typename P , typename C >
void | roboptim::addNonScalarConstraint (P &problem, boost::shared_ptr< C > constraint, std::vector< Function::interval_t > interval, std::vector< Function::value_type > scale=std::vector< Function::value_type >()) throw (std::runtime_error)

## Detailed Description

## Function Documentation

template<typename P , typename C >

void roboptim::addNonScalarConstraint | ( | P & | problem,
|  | boost::shared_ptr< C > | constraint,
|  | std::vector< Function::interval_t > | interval,
|  | std::vector< Function::value_type > | scale = `std::vector<Function::value_type> ()`
| ) |  |
throw | ( | std::runtime_error
| ) |  |